Bug 142842 - yum needs to add kernel-hugemem to installonlypkgs list in yum/config.py
yum needs to add kernel-hugemem to installonlypkgs list in yum/config.py
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-14 12:13 EST by Satish Balay
Modified: 2014-01-21 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 11:17:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satish Balay 2004-12-14 12:13:32 EST
SSIA
Comment 1 Satish Balay 2004-12-14 12:15:35 EST
BTW: this is with yum-2.1.12-1 & kernel-hugemem-2.6.9-1.715_FC3 (and 698)
Comment 2 Satish Balay 2004-12-14 12:34:09 EST
Perhaps kernel-xen0 & kernel-xenU should also be part of installonlypkgs list?
Comment 3 Seth Vidal 2004-12-19 02:51:53 EST
maybe we need another provides tag for this sort of stuff.

Right now if something provides: kernel-modules then yum will treat it like a
kernel and only ever install it. Not upgrade it.

maybe we need a provides that says 'this is a kernel' so yum and up2date can dtrt.
Comment 4 Jeremy Katz 2004-12-19 11:25:44 EST
All kernel packages should already Provides: kernel.
Comment 5 Seth Vidal 2005-01-14 11:17:15 EST
great. Changed in cvs. Thanks.

Note You need to log in before you can comment on or make changes to this bug.